org.eclipse.emf.cdo.server

## Interface IPermissionManager

-     public interface IPermissionManager

  Provides the protection level of `revisions` in the context of a specific user.
  Since:
    4.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOPermission` | `getPermission(CDORevision revision, CDOBranchPoint securityContext, ISession session)`
    `CDOPermission` | `getPermission(CDORevision revision, CDOBranchPoint securityContext, java.lang.String userID)` Deprecated. As of 4.2 call `getPermission(CDORevision, CDOBranchPoint, ISession)`.
    `boolean` | `hasAnyRule(ISession session, java.util.Set<? extends java.lang.Object> rules)`

- - ### Method Detail

    - #### getPermission

          @Deprecated
          CDOPermission getPermission(CDORevision revision,
                                                   CDOBranchPoint securityContext,
                                                   java.lang.String userID)

      Deprecated. As of 4.2 call `getPermission(CDORevision, CDOBranchPoint, ISession)`.

    - #### getPermission

          CDOPermission getPermission(CDORevision revision,
                                      CDOBranchPoint securityContext,
                                      ISession session)

      Since:
        4.2

    - #### hasAnyRule

          boolean hasAnyRule(ISession session,
                             java.util.Set<? extends java.lang.Object> rules)

      Since:
        4.3

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html